--=======================================================================================================================
-- CIVILIZATIONS
--=======================================================================================================================
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType, ColonyName, LinguisticType);
INSERT INTO Civilization_JFD_ColonialCityNames 
		(CivilizationType, 						LinguisticType)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType = 'CIVILIZATION_POLAND';
------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,							MapPrefix,				X,		Y,		AltX,	AltY,	AltCapitalName)
VALUES	-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'AfriAsiaAust',			0,		0,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'AfricaLarge',			0,		0,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'AfriSouthEuro',		0,		0,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'Americas',				0,		0,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'Asia',					0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'Cordiform',			40,		28,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'EarthMk3',				25,		64,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'EastAsia',				0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'EuroLarge',			39,		44,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'EuroLargeNew',			42,		40,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'GreatestEarth',		52,		51,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'IndianOcean',			0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'Mediterranean',		47,		62,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'Mesopotamia',			0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'NorthAtlantic',		98,		36,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'NorthEastAsia',		0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'NorthWestEurope',		46,		13,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'Orient',				0,		0,		null,	null,	null),
		-- ('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'SouthPacific',			0,		0,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'Yagem',				23,		67,		null,	null,	null),
		('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',		'Yahem',				64,		60,		null,	null,	null);
------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResources
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResources(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6);
INSERT INTO Civilizations_YnAEMPRequestedResources
		(CivilizationType,						MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6
FROM Civilizations_YnAEMPRequestedResources WHERE CivilizationType = 'CIVILIZATION_POLAND';
------------------------------------------------------------------------------------------------------------------------
-- Civilization_JFD_CultureTypes
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,						ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_POLAND';
	
UPDATE Civilizations 
SET SoundtrackTag = (SELECT SoundtrackTag FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_JFD_BOHEMIA_VACLAV_II')
WHERE Type = 'CIVILIZATION_JFD_BOHEMIA_VACLAV_II';
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType, GovernmentType, Weight);
INSERT INTO Civilization_JFD_Governments
		(CivilizationType, 						GovernmentType,				 Weight)
VALUES	('CIVILIZATION_JFD_BOHEMIA_VACLAV_II',	'GOVERNMENT_JFD_MONARCHY',	 80);
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
------------------------------------------------------------------------------------------------------------------------	
UPDATE Civilization_Religions
SET ReligionType = 'RELIGION_HUSSITISM'
WHERE CivilizationType = 'CIVILIZATION_JFD_BOHEMIA_VACLAV_II'
AND EXISTS (SELECT Type FROM Religions WHERE Type = 'RELIGION_HUSSITISM');		
--=======================================================================================================================
-- MINOR CIVILIZATIONS
--=======================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- MinorCivilizations_YnAEMP
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
DELETE FROM MinorCivilizations_YnAEMP WHERE MinorCivType = 'MINOR_CIV_PRAGUE';
INSERT INTO MinorCivilizations_YnAEMP
		(MinorCivType,				MapPrefix,				X,		Y,		AltX,	AltY,	AltCapitalName)
VALUES	-- ('MINOR_CIV_PRAGUE',		'AfriAsiaAust',			0,		0,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'AfricaLarge',			0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'AfriSouthEuro',		35,		75,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'Americas',				0,		0,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'Asia',					0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'Cordiform',			37,		26,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'EarthMk3',				22,		58,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'EastAsia',				0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'EuroLarge',			35,		36,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'EuroLargeNew',			39,		31,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'GreatestEarth',		51,		46,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'IndianOcean',			0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'Mediterranean',		41,		50,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'Mesopotamia',			0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'NorthAtlantic',		96,		24,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'NorthEastAsia',		0,		0,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'NorthWestEurope',		0,		0,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'Orient',				0,		0,		null,	null,	null),
		-- ('MINOR_CIV_PRAGUE',		'SouthPacific',			0,		0,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'Yagem',				20,		61,		null,	null,	null),
		('MINOR_CIV_PRAGUE',		'Yahem',				62,		66,		null,	null,	null);
------------------------------------------------------------------------------------------------------------------------
-- MinorCivilization_JFD_CultureTypes
------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS MinorCivilization_JFD_CultureTypes(MinorCivilizationType, CultureType);

UPDATE MinorCivilization_JFD_CultureTypes 
SET CultureType = 'CULTURE_JFD_SOUTHERN'
WHERE MinorCivilizationType = 'MINOR_CIV_PRAGUE';
--=======================================================================================================================
--=======================================================================================================================

